> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/reference/vault-reference.md).

# Vault Reference

All vault functions must be used with an "opened" vault.

```
with open_vault('applications') as vault:
    # Get, insert, update, upsert, or delete vault data
```

Vault Items can be viewed in the UI and are stored unencrypted. They are useful for integration configuration, but should not be used for storing secrets or PII

* `vault.get(key)`
* `vault.insert(key, value, **kwargs)`
* `vault.update(key, value)`
* `vault.upsert(key, value)`
* `vault.delete(key)`

Vault Secrets cannot be read in the UI and are stored encrypted. They are suitable for storing secrets, and may be suitable for storing small amounts of information, such as account numbers, on a temporary basis if needed by the integration.

* `vault.get_secret(key)`
* `vault.insert_secret(key, value)`
* `vault.update_secret(key, value)`
* `vault.upsert_secret(key, value)`
* `vault.delete_secret(key)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/vault-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
